Resolve a location suggestion
curl --request POST \
--url https://app.nudgen.net/api/v1/map-leads/place \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"placeId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({placeId: '<string>'})
};
fetch('https://app.nudgen.net/api/v1/map-leads/place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/map-leads/place"
payload = { "placeId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"placeId": "<string>",
"description": "<string>",
"lat": 0,
"lng": 0,
"resultType": "<string>"
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}API reference
Resolve a location suggestion
Resolve an autocomplete place ID to search coordinates. This is location resolution, not business contact enrichment.
POST
/
api
/
v1
/
map-leads
/
place
Resolve a location suggestion
curl --request POST \
--url https://app.nudgen.net/api/v1/map-leads/place \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"placeId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({placeId: '<string>'})
};
fetch('https://app.nudgen.net/api/v1/map-leads/place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/map-leads/place"
payload = { "placeId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"placeId": "<string>",
"description": "<string>",
"lat": 0,
"lng": 0,
"resultType": "<string>"
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"quota": {
"plan": "<string>",
"limit": 123,
"used": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Personal Access Token created from Settings -> API Keys.
Body
application/json
Was this page helpful?